Subject: bug#43308: 28.0.50; Improvements to Edit->Search menu

From: Drew Adams <[email-masked]>
Date: Mon, 21 Sep 2020 14:15:15 -0700 (PDT)

> > > (I used to have nonincremental items at top level,
> > > but moved them to a submenu because their use is
> > > less common now.  Admittedly, if someone uses this a
> > > lot then accessing via submenu is less efficient.)
> >
> > Why no keybindings are shown for nonincremental menu items?
> > They still have keybindings, e.g. nonincremental forward search
> > can be started with 'C-s RET', nonincremental backward search
> > with 'C-r RET', nonincremental regexp search 'C-M-s RET', etc.
> 
> I suppose I could add some explicitly, with :keys.
> That makes sense.

I've done that now.

Of course, advertising such keys is a lie whenever
option `search-nonincremental-instead' is nil.

Too bad we can't have :keys be a sexp that is eval'd at
menu display/update time, and have a :keys value of nil
mean not to show any thing for the key bindings.

https://www.emacswiki.org/emacs/download/menu-bar%2b.el